Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class UIManager.LookAndFeelInfo

    java.lang.Object
      |
      +--javax.swing.UIManager.LookAndFeelInfo

public static class UIManager.LookAndFeelInfo
extends java.lang.Object

Provide a little information about an installed LookAndFeel for the sake of configuring a menu or for initial application set up.

See Also:
  `UIManager.getInstalledLookAndFeels()`, `LookAndFeel`

Constructor Summary
`UIManager.LookAndFeelInfo(java.lang.String name, java.lang.String className)` Constructs an UIManager$LookAndFeelInfo object.

Method Summary
`java.lang.String` | `getClassName()` Returns the name of the class that implements this look and feel.
`java.lang.String` | `getName()` Returns the name of the look and feel in a form suitable for a menu or other presentation
`java.lang.String` | `toString()` Returns a string that displays and identifies this object's properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIManager.LookAndFeelInfo

    public UIManager.LookAndFeelInfo(java.lang.String name,
                                     java.lang.String className)

  Constructs an UIManager$LookAndFeelInfo object.
  Parameters:
    `name` - a String specifying the name of the look and feel
    `className` - a String specifiying the name of the class that implements the look and feel

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the look and feel in a form suitable for a menu or other presentation
  Returns:
    a String containing the name
  See Also:
    `LookAndFeel.getName()`

### getClassName

    public java.lang.String getClassName()

  Returns the name of the class that implements this look and feel.
  Returns:
    the name of the class that implements this LookAndFeel
  See Also:
    `LookAndFeel`

### toString

    public java.lang.String toString()

  Returns a string that displays and identifies this object's properties.
  Returns:
    a String representation of this object
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.